#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		appbase		gstreamer
#-----------------------------------------------------------------------------
Name		:	gst-plugins-base
Version		:	1.22.8
Release		:	16.2.0.rel%{?dist}
Summary		:	GStreamer, a framework for streaming media, base plug-ins.
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gstreamer.freedesktop.org/src/gst-plugins-base/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	SDL2
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gstreamer >= %{version}
BuildRequires	:	graphene
BuildRequires	:	libogg
BuildRequires	:	opus-devel
BuildRequires	:	pango
BuildRequires	:	python3-pygobject
BuildRequires	:	qt

#-----------------------------------------------------------------------------
%description
GStreamer is a library for constructing graphs of media-handling
components.  The applications it supports range from simple
Ogg/Vorbis playback, audio/video streaming to complex audio (mixing)
and video (non-linear editing) processing.

Applications can take advantage of advances in codec and filter
technology transparently. Developers can add new codecs and filters
by writing a simple plugin with a clean, generic interface

This package contains a set of well-maintained base plug-ins.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING NEWS README.md RELEASE
%{_bindir}/gst-*-1.0
%{_includedir}/%{appbase}-1.0/gst/*/*.h
%{_includedir}/%{appbase}-1.0/gst/*/*/*.h
%{_libdir}/%{appbase}-1.0/libgst*.{la,so*}
%{_libdir}/%{appbase}-1.0/include/gst/gl/*.h
%{_libdir}/libgst*-1.0.{la,so*}
%{_libdir}/pkgconfig/%{appbase}-*-1.0.pc
%{_libdir}/girepository-1.0/G*-1.0.typelib
%{_datadir}/gir-1.0/G*-1.0.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}-1.0.mo
%{_datadir}/%{name}/1.0/license-translations.dict
%{_mandir}/man1/gst-*.1.gz

#=============================================================================
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

%define	gstname	"GStreamer Base Plugins %{version} Osukiss"
%define	gstorig	"https://gstreamer.freedesktop.org/src/gstreamer"

meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--wrap-mode=nodownload				\
	-D buildtype=release				\
	-D package-origin=%{gstorig}			\
	-D package-name=%{gstname}			\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%changelog
